## GtkSeparatorMenuItem

GtkSeparatorMenuItem — A separator used in menus

## Functions

GtkWidget * | gtk_separator_menu_item_new ()

## Types and Values

struct | GtkSeparatorMenuItem
struct | GtkSeparatorMenuItemClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkMenuItem
                            ╰── GtkSeparatorMenuItem

## Implemented Interfaces

GtkSeparatorMenuItem implements AtkImplementorIface, GtkBuildable, GtkActivatable and GtkActionable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkSeparatorMenuItem is a separator used to group items within a menu. It displays a horizontal line with a shadow to make it appear sunken into the interface.

## Functions

### gtk_separator_menu_item_new ()

    GtkWidget *
    gtk_separator_menu_item_new (void);

Creates a new GtkSeparatorMenuItem.

#### Returns

a new GtkSeparatorMenuItem.

## Types and Values

### struct GtkSeparatorMenuItem

    struct GtkSeparatorMenuItem;

### struct GtkSeparatorMenuItemClass

    struct GtkSeparatorMenuItemClass {
      GtkMenuItemClass parent_class;
    };

#### Members

GtkMenuItemClass `parent_class`; | The parent class. |